<?php

function updateTipoPay(){
    
    global $con;
    
    if(isset($_POST['loanPay'])){
       
       $cliente = $_POST['nome_cliente'];
       $tipo_pagamento = $_POST['tipo_pagamento'];
       $prestacoes = $_POST['prestacoes'];
       $valor = $_POST['valor'];
       
       if($tipo_pagamento =="Negociado"){
           
     $sql = mysqli_query($con,"UPDATE creditos SET valor='$valor',juros='0',total='$valor', tipo_pagamento='$tipo_pagamento',prestacoes='$prestacoes' WHERE cliente='$cliente' AND status='pendente'");

    
    echo "<script>alert('Credito Negociado Actualizado com sucesso com sucesso')</script>";
    echo "<script>window.open('creditos.php','_self')</script>";
        
    }else{
       
         $sql = mysqli_query($con,"UPDATE creditos SET tipo_pagamento='$tipo_pagamento',prestacoes='$prestacoes' WHERE cliente='$cliente' AND status='pendente'");
        if($sql){
            echo "<script>alert('Forma de pagamento actualizada com sucesso')</script>";
            echo "<script>window.open('creditos.php','_self')</script>";
        }else{
            
            echo "EROEOROEOROERRR";
        }
       
    }  
        
    }
}




function updatePrest(){
    global $con;
    
    if(isset($_POST['updatePrest'])){
        
        $cliente = $_POST['nome_cliente'];
        $prest = $_POST['prestacoes'];
        
        $sql = mysqli_query($con,"UPDATE creditos SET prestacoes='$prest' WHERE cliente='$cliente'");
        if($sql){
            echo "<script>alert('Prestacao actualizada com sucesso')</script>";
            echo "<script>window.open('creditos.php','_self')</script>";
        }else{
            
            echo "EROEOROEOROERRR";
        }
    }
}

function buscaClientePendente(){
    
    global $con;
    
    $buscar = mysqli_query($con,"SELECT * FROM creditos WHERE status='pendente'");
    while($row = mysqli_fetch_assoc($buscar)){
        
        $cliente = $row['cliente'];
        
        echo "<option>$cliente</option>";
    }
}

function deleteConta(){
    global $con;
    
    if(isset($_GET['delete']) && !empty($_GET['delete'])){
        
        $id = $_GET['delete'];
        
        $del = mysqli_query($con,"DELETE FROM banco_cliente WHERE id='$id'");
        if($del){
              echo "<script>window.open('conta_cliente.php','_self')</script>";
        }else{
            echo "<script>alert('SOMETHING WRONG')</script>";
        }
    }
}

function updateConta(){
    
    global $con;
    
    if(isset($_POST['updateClienteConta'])){
        
        $cliente = $_POST['cliente'];
        $conta = $_POST['conta'];
        $banco = $_POST['banco'];
        $agencia = $_POST['agencia'];
        $id = $_POST['id'];
        
        $query = mysqli_query($con,"UPDATE banco_cliente SET cliente='$cliente',conta='$conta',banco='$banco',agencia='$agencia' WHERE id='$id'");
        if($query){
            echo "<script>alert('Conta actualizada com sucesso')</script>";
            echo "<script>window.open('conta_cliente.php','_self')</script>";
        }else{
            echo "<script>alert('Erro no cadastro')</script>";
            echo "<script>window.open('conta_cliente.php','_self')</script>";
        }
    }
        
    }



function addAccount(){
    
    global $con;
    
    if(isset($_POST['submitConta'])){
        
        $cliente = $_POST['cliente'];
        $conta = $_POST['conta'];
        $banco = $_POST['banco'];
        $agencia = $_POST['agencia'];
        
        $sql = mysqli_query($con,"INSERT INTO banco_cliente(cliente,conta,banco,agencia)
        VALUES('$cliente','$conta','$banco','$agencia')");
        if($sql){
            echo "<script>alert('Conta cadastrada com sucesso')</script>";
            echo "<script>window.open('conta_cliente.php','_self')</script>";
        }else{
            echo "<script>alert('Erro no cadastro')</script>";
            echo "<script>window.open('conta_cliente.php','_self')</script>";
        }
        
    }
}

function valor_por_extenso($v)
{
    global $con;

    $v = filter_var($v, FILTER_SANITIZE_NUMBER_INT);

    $sin = [
        'centavo',
        'metical',
        'mil',
        'milhão',
        'bilhão',
        'trilhão',
        'quatrilhão',
    ];
    $plu = [
        'centavos',
        'meticais',
        'mil',
        'milhões',
        'bilhões',
        'trilhões',
        'quatrilhões',
    ];

    $c = [
        '',
        'cem',
        'duzentos',
        'trezentos',
        'quatrocentos',
        'quinhentos',
        'seiscentos',
        'setecentos',
        'oitocentos',
        'novecentos',
    ];
    $d = [
        '',
        'dez',
        'vinte',
        'trinta',
        'quarenta',
        'cinquenta',
        'sessenta',
        'setenta',
        'oitenta',
        'noventa',
    ];
    $d10 = [
        'dez',
        'onze',
        'doze',
        'treze',
        'quatorze',
        'quinze',
        'dezesseis',
        'dezesete',
        'dezoito',
        'dezenove',
    ];
    $u = [
        '',
        'um',
        'dois',
        'três',
        'quatro',
        'cinco',
        'seis',
        'sete',
        'oito',
        'nove',
    ];

    $z = 0;

    $v = number_format($v, 2, '.', '.');
    $int = explode('.', $v);

    for ($i = 0; $i < count($int); $i++) {
        for ($ii = mb_strlen($int[$i]); $ii < 3; $ii++) {
            $int[$i] = '0' . $int[$i];
        }
    }

    $rt = null;
    $fim = count($int) - ($int[count($int) - 1] > 0 ? 1 : 2);
    for ($i = 0; $i < count($int); $i++) {
        $v = $int[$i];
        $rc = $v > 100 && $v < 200 ? 'cento' : $c[$v[0]];
        $rd = $v[1] < 2 ? '' : $d[$v[1]];
        $ru = $v > 0 ? ($v[1] == 1 ? $d10[$v[2]] : $u[$v[2]]) : '';

        $r =
            $rc .
            ($rc && ($rd || $ru) ? ' e ' : '') .
            $rd .
            ($rd && $ru ? ' e ' : '') .
            $ru;
        $t = count($int) - 1 - $i;
        $r .= $r ? ' ' . ($v > 1 ? $plu[$t] : $sin[$t]) : '';
        if ($v == '000') {
            $z++;
        } elseif ($z > 0) {
            $z--;
        }

        if ($t == 1 && $z > 0 && $int[0] > 0) {
            $r .= ($z > 1 ? ' de ' : '') . $plu[$t];
        }

        if ($r) {
            $rt =
                $rt .
                ($i > 0 && $i <= $fim && $int[0] > 0 && $z < 1
                    ? ($i < $fim
                        ? ', '
                        : ' e ')
                    : ' ') .
                $r;
        }
    }

    $rt = mb_substr($rt, 1);

    return $rt ? trim($rt) : 'zero';
}

function arquivos(){
	
	global $con;
	
	if(isset($_POST['submit'])){
		
		$assunto = $_POST['assunto'];
		$ficheiro = $_FILES['ficheiro']['name'];
		$ficheiro_tmp = $_FILES['ficheiro']['tmp_name'];
		move_uploaded_file($ficheiro_tmp,"arquivos/$ficheiro");
		
		$cliente = $_POST['cliente'];
		$insere = "INSERT INTO arquivos(assunto,ficheiro,cliente)VALUES('$assunto','$ficheiro','$cliente')";
		$query = mysqli_query($con,$insere);
		
		if($query){
			
			echo "<script>alert('Ficheiro enviado com sucesso')</script>";
			echo "<script>window.open('arquivos.php','_self')</script>";
		}else{
			
			echo "<h1>Errroooooooooo</h1>";
		}
	}
	
	
}





function session_not_started(){
	
	global $con;
	
	if(!isset($_SESSION['email'])){
		
		echo "<script>window.open('login.php','_self')</script>";
	}else{
		
		echo "";
	}
	
}

function login(){
	
	global $con;
	
	if(isset($_POST['submit'])){
		
		$email = mysqli_real_escape_string($con,$_POST['email']);
		$senha = mysqli_real_escape_string($con,$_POST['senha']);
		$salt = "euamoprogramacao";
		$senha_crypt = crypt($senha,$salt);
		
		$buscar_logador = "SELECT * FROM usuarios WHERE email='$email' AND senha='$senha_crypt' AND status='Activo'";
		$viver = mysqli_query($con,$buscar_logador);
		while($row = mysqli_fetch_assoc($viver)){
			
			$nome_user = $row['nome'];
			$email_user = $row['email'];
			$foto_user = $row['foto'];
			$nivel = $row['nivel'];
			
		}
		
		$count = mysqli_num_rows($viver);
		
		if($count ==1){
			
			$_SESSION['nome'] = $nome_user;
			$_SESSION['email'] = $email_user;
			$_SESSION['foto'] = $foto_user;
			$_SESSION['nivel'] = $nivel;
			
			echo "<script>window.open('auth.php','_self')</script>";
			
		}else{
			
			echo "<script>alert('As credenciais inseridas estao erradas')</script>";
			echo "<script>window.open('login.php','_self')</script>";
		}
		
		
	}
	
}











function cad_user(){
	
	global $con;
	
	if(isset($_POST['submit'])){
		
		$nome = $_POST['nome'];
		$email = $_POST['email'];
		$senha = $_POST['senha'];
		$salt = "euamoprogramacao";
		$senha_crypt = crypt($senha,$salt);
		$nivel = $_POST['nivel'];
		$foto = $_FILES['foto']['name'];
		$foto_tmp = $_FILES['foto']['tmp_name'];
		move_uploaded_file($foto_tmp,"img/$foto");
		
		
		$consulta = "SELECT * FROM usuarios WHERE nome='$nome' || email='$email'";
		$link = mysqli_query($con,$consulta);
		$contar = mysqli_num_rows($link);

      if($contar == 1){
		  
		  $_SESSION['status'] = "Este usuario ja encontra se cadastrado";
		  $_SESSION['status_code'] = 'warning';
		  echo "<script>window.open('cadastrar_user.php','_self')</script>";
	  
	  }else{
		  
		  
		  $insere = "INSERT INTO usuarios(nome,email,senha,nivel,foto,status)
		            VALUES('$nome','$email','$senha_crypt','$nivel','$foto','Activo')";
			$query = mysqli_query($con,$insere);
			
			if($query){
				
				echo "<script>alert('Usuario Cadastrado com sucesso')</script>";
				echo "<script>window.open('cadastrar_user.php','_self')</script>";
			
			}else{
				
				echo "<script>alert('Ocorreu um erro tente novamente')</script>";
				echo "<script>window.open('cadastrar_user.php','_self')</script>";
				
			}
	  }		
	
	}

}



function busca_users(){
	
	global $con;
	
	$selec = "SELECT * FROM usuarios";
	$query = mysqli_query($con,$selec);
	while($row = mysqli_fetch_assoc($query)){
		
		
		$nome = $row['nome'];
		
		echo "<option>$nome</option>";
	}
	
}

function deleteCustom(){
    global $con;
    
    if(isset($_GET['id_delete']) && !empty($_GET['id_delete'])){
        
        $id = $_GET['id_delete'];
        
        $del = mysqli_query($con,"DELETE FROM clientes WHERE id_cliente ='$id'");
        if($del){
            echo "<script>alert('Cliente apagado com sucesso')</script>";
            echo "<script>window.open('cadastrar_clientes.php','_self')</script>";
        }else{
            echo "<script>alert('ERROROORORO')</script>";
            echo "<script>window.open('cadastrar_clientes.php','_self')</script>";
        }
    }
}





function cadastrarAvalista(){
    
    global $con;
    
    if(isset($_POST['submitAvalista'])){
        $nome_avalista = $_POST['nome_avalista'];
         $estado_civil_avalista = $_POST['estado_civil_avalista'];
          $bi_avalista = $_POST['bi_avalista'];
           $aic_avalista = $_POST['aic_avalista'];
            $data_emissao_avalista = $_POST['$data_emissao_avalista'];
             $pai_avalista = $_POST['pai_avalista'];
              $mae_avalista = $_POST['mae_avalista'];
               $bairro_avalista = $_POST['bairro_avalista'];
                $pessoa_avalista = $_POST['pessoa_avalista'];
                 $morada_pessoa_avalista = $_POST['morada_pessoa_avalista'];
                  $telefone_pessoa_avalista = $_POST['telefone_pessoa_avalista'];
                   $email_pessoa_avalista = $_POST['email_pessoa_avalista'];
                     $cliente = $_POST['cliente'];
                      
        $queryit = "INSERT INTO avalistas(nome_avalista,estado_civil_avalista,bi_avalista,aic_avalista,data_emissao_avalista,pai_avalista,mae_avalista,
        bairro_avalista,pessoa_avalista,morada_pessoa_avalista,telefone_pessoa_avalista,email_pessoa_avalista,cliente)
        VALUES('$nome_avalista','$estado_civil_avalista','$bi_avalista','$aic_avalista','$data_emissao_avalista','$pai_avalista','$mae_avalista','$bairro_avalista',
        '$pessoa_avalista','$morada_pessoa_avalista','$telefone_pessoa_avalista','$email_pessoa_avalista','$cliente')";
        $query = mysqli_query($con,$queryit);
        
        if($query){
            echo "<script>alert('Avalista cadastrado com sucesso')</script>";
            echo "<script>window.open('avalista.php','_self')</script>";
        }else{
             echo "<script>alert('Ocorreu um erro')</script>";
            echo "<script>window.open('avalista.php','_self')</script>";
        }
    }
}

function busca_cliente(){
	
	global $con;
	
	$selec = "SELECT * FROM clientes";
	$query = mysqli_query($con,$selec);
	while($row = mysqli_fetch_assoc($query)){
		
		
		$nome = $row['nome_cliente'];
		
		echo "<option>$nome</option>";
	}
	
}


function cad_clientes(){
	
	global $con;
	
	if(isset($_POST['cad_cli'])){
		
		$nome_cliente = $_POST['nome_cliente'];
		$bairro = $_POST['bairro'];
    	$quarteirao = $_POST['quarteirao'];
		$casa = $_POST['casa'];
		$nuit = $_POST['nuit'];
		$nacionalidade = $_POST['nacionalidade'];
		$bi = $_POST['bi'];
		$estado_civil = $_POST['estado_civil'];
		$provincia = $_POST['provincia'];
		$data_emissao = $_POST['data_emissao'];
		$local_emissao = $_POST['local_emissao'];
		$aic = $_POST['aic'];
		
		$vendedor = $_POST['vendedor'];
		$cell1 = $_POST['cell1'];
		$cell2 = $_POST['cell2'];
		$data_nasc = $_POST['data_nasc'];
		$tipo_cliente = $_POST['tipo_cliente'];
		
		$foto = $_FILES['foto']['name'];
		$foto_tmp = $_FILES['foto']['tmp_name'];
		move_uploaded_file($foto_tmp,"img/$foto");
		
		
		$bi_scan = $_FILES['bi_scan']['name'];
		$bi_scan_tmp = $_FILES['bi_scan']['tmp_name'];
		move_uploaded_file($bi_scan_tmp,"img/$bi_scan");
		
		$nuit_scan = $_FILES['nuit_scan']['name'];
		$nuit_scan_tmp = $_FILES['nuit_scan']['tmp_name'];
		move_uploaded_file($nuit_scan_tmp,"img/$nuit_scan");
		
		$dec_bairro = $_FILES['dec_bairro']['name'];
		$dec_bairro_tmp = $_FILES['dec_bairro']['tmp_name'];
		move_uploaded_file($dec_bairro_tmp,"img/$dec_bairro");
		
		$dec_salario = $_FILES['dec_salario']['name'];
		$dec_salario_tmp = $_FILES['dec_salario']['tmp_name'];
		move_uploaded_file($dec_salario_tmp,"img/$dec_salario");
				
		$verifica = "SELECT * FROM clientes WHERE nome_cliente='$nome_cliente'";
		$ligar_isso = mysqli_query($con,$verifica);
		
		$count = mysqli_num_rows($ligar_isso);
		
		if($count ==1){			
			
			
			echo "<script>alert('Este Usuario $nome_cliente ja se encontra na vossa base de dados')</script>";
			echo "<script>window.open('cadastrar_clientes.php','_self')</script>";
			
		}else{
			
			$verificar_codigo = "SELECT * FROM clientes ORDER BY id_cliente DESC LIMIT 1";
            $link = mysqli_query($con,$verificar_codigo);
            $dados_codigo = mysqli_fetch_assoc($link);
            $codigo_novo = $dados_codigo['codigo_cliente'];
			
			
				
			
			if($codigo_novo == ""){
				
				$codigo = 2024000;
			}else{
				
				$codigo = $codigo_novo + 1;
			}
			
			
			$insere_cliente_dados = "INSERT INTO clientes(nome_cliente,bairro,quarteirao,casa,nuit,nacionalidade,bi,estado_civil,provincia,data_emissao,local_emissao,
			aic,codigo_cliente,vendedor,cell1,cell2,tipo_cliente,data_nasc,status,foto,bi_scan,nuit_scan,dec_bairro,dec_salario) VALUES('$nome_cliente','$bairro','$quarteirao','$casa',
			'$nuit','$nacionalidade','$bi','$estado_civil','$provincia','$data_emissao','$local_emissao','$aic','$codigo','$vendedor','$cell1','$cell2',
			'$tipo_cliente','$data_nasc','Activo','$foto','$bi_scan','$nuit_scan','$dec_bairro','$dec_salario')";
			$meu_time = mysqli_query($con,$insere_cliente_dados);
			
			if($meu_time){
				
				echo "<script>alert('Cliente cadastrado com sucesso')</script>";
				echo "<script>window.open('cadastrar_clientes.php','_self')</script>";
			
			}else{
				
				echo "ERROOOOOORRRRRRRRRRRRR";
			}
			
		
			
			
			
		}
		
		
		
		
	}
	
	
	
	
	
}


function updateCliente(){
    
    global $con;
    	if(isset($_POST['updateCli'])){
		
		$nome_cliente = $_POST['nome_cliente'];
		$bairro = $_POST['bairro'];
		$quarteirao = $_POST['quarteirao'];
		$casa = $_POST['casa'];
		$nuit = $_POST['nuit'];
		$nacionalidade = $_POST['nacionalidade'];
		$bi = $_POST['bi'];
		$estado_civil = $_POST['estado_civil'];
		$provincia = $_POST['provincia'];
		$data_emissao = $_POST['data_emissao'];
		$data_nasc = $_POST['data_nasc'];
		$local_emissao = $_POST['local_emissao'];
		$aic = $_POST['aic'];
		
		$vendedor = $_POST['vendedor'];
		$cell1 = $_POST['cell1'];
		$cell2 = $_POST['cell2'];
	  $tipo_cliente = $_POST['tipo_cliente'];
		
		$id_cliente = $_POST['id'];
		
		$foto = $_FILES['foto']['name'];
		$foto_tmp = $_FILES['foto']['tmp_name'];
		move_uploaded_file($foto_tmp,"img/$foto");
		
		$query  = mysqli_query($con,"UPDATE clientes SET nome_cliente='$nome_cliente',bairro='$bairro',quarteirao='$quarteirao',casa='$casa',nuit='$nuit',
		nacionalidade='$nacionalidade',bi='$bi',estado_civil='$estado_civil',provincia='$provincia',data_emissao='$data_emissao',local_emissao='$local_emissao',aic='$aic',
		cell1='$cell1',cell2='$cell2',tipo_cliente='$tipo_cliente',data_nasc='$data_nasc',foto='$foto' WHERE id_cliente='$id_cliente'");
		
		if($query){
		    echo "<script>alert('Cliente actualizado com sucesso')</script>";
		    echo "<script>window.open('cadastrar_clientes.php','_self')</script>";
		}else{
		    echo "<script>alert('Ocorreu um erro')</script>";
		    echo "<script>window.open('cadastrar_clientes.php','_self')</script>";
		}
    	    
    	}
    
}




function cadastrar_conta(){
	
	global $con;
	
	if(isset($_POST['submit_conta'])){
		
		$nome_conta = $_POST['nome_conta'];
		$numero_conta = $_POST['numero_conta'];
		$moeda = $_POST['moeda'];
		$nib = $_POST['nib'];
		$iban = $_POST['iban'];
		$swift = $_POST['swift'];
		$valor_conta = $_POST['valor_conta'];
		$user = $_SESSION['nome'];
		$data = date('Y-m-d');
		$hora = date("H:i", mktime(gmdate("H")+2, gmdate("i"), gmdate("s"), gmdate("m"), gmdate("d"), gmdate("Y")));
		
		$verificaExiste = "SELECT * FROM contas WHERE conta='$nome_conta'";
		$query = mysqli_query($con,$verificaExiste);
		
		$count = mysqli_num_rows($query);
		
		if($count == 1){
			
			echo "<script>alert('Esta conta ja existe cadastrada')</script>";
			echo "<script>window.open('index.php','_self')</script>";
		}else{
			
			$insere_conta = "INSERT INTO contas(conta,numero_conta,moeda,nib,iban,swift,saldo)VALUES('$nome_conta','$numero_conta','$moeda','$nib',
			'$iban','$swift','$valor_conta')";
			$ligar_isso = mysqli_query($con,$insere_conta);
			
			if($ligar_isso){
				
				
				$insere_trans = "INSERT INTO transacoes(descricao,saida,entrada,saldo,caixa,data,hora,user)
				                 VALUES('Valor inicial','0','$valor_conta','$valor_conta','$nome_conta','$data','$hora','$user')";
					$linkar = mysqli_query($con,$insere_trans);
				
				echo "<script>alert('Conta adicionada com sucesso')</script>";
				echo "<script>window.open('','_self')</script>";
			}
			
		}
		
		
		
	}
	

}


function selectConta(){
	
	global $con;
	
	$buscaConta = "SELECT * FROM contas";
	$query = mysqli_query($con,$buscaConta);
	while($row = mysqli_fetch_assoc($query)){
		
		$id = $row['id'];
		$conta = $row['conta'];
		
		echo "<option>$conta</option>";
		
	}
	
	
	
}



function Saidas(){
	
	
	global $con;
	
	if(isset($_POST['submit'])){
		
		$descricao = $_POST['descricao'];
		$valor = $_POST['valor'];
		$conta_origem = $_POST['conta_origem'];
		$conta_destino = $_POST['conta_destino'];
		
		$user = $_SESSION['nome'];
		$data = date('Y-m-d');
		$hora = date("H:i", mktime(gmdate("H")+2, gmdate("i"), gmdate("s"), gmdate("m"), gmdate("d"), gmdate("Y")));
		
		
		$buscar_conta = "SELECT * FROM contas WHERE conta='$conta_origem'";
		$dados_ligar = mysqli_query($con,$buscar_conta);
		$nice_query = mysqli_fetch_assoc($dados_ligar);
		
		$saldo_actual = $nice_query['saldo'];
		
		$novo_taco = $saldo_actual - $valor;
		
		
		
		$buscar_conta_destino = "SELECT * FROM contas WHERE conta='$conta_destino'";
		$dados_ligar_conta = mysqli_query($con,$buscar_conta_destino);
		$nice_query_destino = mysqli_fetch_assoc($dados_ligar_conta);
		
		$saldo_actual_destino = $nice_query_destino['saldo'];
		
		$nova_txeda = $saldo_actual_destino + $valor;
		
		
		if($conta_destino == ""){
			
			$insere_dados = "INSERT INTO transacoes(descricao,saida,entrada,saldo,caixa,data,hora,user)
			VALUES('$descricao','$valor','0','$novo_taco','$conta_origem','$data','$hora','$user')";
			$query_it = mysqli_query($con,$insere_dados);
			
			if($query_it){
				
				$actualiza_conta = "UPDATE contas SET saldo='$novo_taco' WHERE conta='$conta_origem'";
				$link_jonas = mysqli_query($con,$actualiza_conta);
				
				echo "<script>alert('Saida efetuada com sucesso')</script>";
				echo "<script>window.open('lista_contas.php','_self')</script>";
			}else{
				
				echo "<script>alert('Ocorreu um erro')</script>";
				echo "<script>window.open('lista_contas.php','_self')</script>";
			}
			
		}elseif($conta_origem == $conta_destino){
			
			echo "<script>alert('Senhor $user so pode fazer transacoes em contas diferentes')</script>";
			echo "<script>window.open('lista_contas.php','_self')</script>";
		
		}else{
			
			$insere_dados1 = "INSERT INTO transacoes(descricao,saida,entrada,saldo,caixa,data,hora,user)
			VALUES('$descricao','$valor','0','$novo_taco','$conta_origem','$data','$hora','$user')";
			$query_it1 = mysqli_query($con,$insere_dados1);
			
			$insere_dados2 = "INSERT INTO transacoes(descricao,saida,entrada,saldo,caixa,data,hora,user)
			VALUES('$descricao','0','$valor','$nova_txeda','$conta_destino','$data','$hora','$user')";
			$query_it2 = mysqli_query($con,$insere_dados2);
			
			if($query_it2){
				
				$actualiza_conta2 = "UPDATE contas SET saldo='$nova_txeda' WHERE conta='$conta_destino'";
				$link_jonas2 = mysqli_query($con,$actualiza_conta2);
				
				$actualiza_conta2 = "UPDATE contas SET saldo='$novo_taco' WHERE conta='$conta_origem'";
				$link_jonas2 = mysqli_query($con,$actualiza_conta2);
				
				echo "<script>alert('Saida efetuada com sucesso')</script>";
				echo "<script>window.open('lista_contas.php','_self')</script>";
				
			}else{
				
				echo "<script>alert('Ocorreu um BUG')</script>";
				echo "<script>window.open('lista_contas.php','_self')</script>";
				
			}
			
			
			
		}
		
		
		
		
		
	}
	
	
}


function Entradas(){
	
	global $con;
	
	if(isset($_POST['submit'])){
		
		$descricao = $_POST['descricao'];
		$valor = $_POST['valor'];
		$conta = $_POST['conta'];
		
		$user = $_SESSION['nome'];
		$data = date('Y-m-d');
		$hora = date("H:i", mktime(gmdate("H")+2, gmdate("i"), gmdate("s"), gmdate("m"), gmdate("d"), gmdate("Y")));
		
		
		$buscar_conta_entrada = "SELECT * FROM contas WHERE conta='$conta'";
		$dados_ligar_entrada = mysqli_query($con,$buscar_conta_entrada);
		$nice_query_entrada = mysqli_fetch_assoc($dados_ligar_entrada);
		
		$saldo_actual_entrada = $nice_query_entrada['saldo'];
		
		$novo_taco_entrada = $saldo_actual_entrada + $valor;
		
		
		$insere_transacoes = "INSERT INTO transacoes(descricao,saida,entrada,saldo,caixa,data,hora,user)
		VALUES('$descricao','0','$valor','$novo_taco_entrada','$conta','$data','$hora','$user')";
		$liga_liga = mysqli_query($con,$insere_transacoes);
		
		if($liga_liga){
			
			$actualiza_conta = "UPDATE contas SET saldo='$novo_taco_entrada' WHERE conta='$conta'";
			$yes_we_do = mysqli_query($con,$actualiza_conta);
			
			echo "<script>alert('Entrada efetuada com sucesso')</script>";
			echo "<script>window.open('lista_contas.php','_self')</script>";
			
		}else{
			
			echo "<script>alert('SOMETHING WROONG')</script>";
			echo "<script>window.open('lista_contas.php','_self')</script>";
		}
		
		
		
		
	}
	
	
	
}




function buscaCliente(){
	
	global $con;
	
	$vendedor = $_SESSION['nome'];
	
	if($_SESSION['nivel'] == 1 || $_SESSION['nivel'] == 2){
		
		$drae = "SELECT * FROM clientes WHERE status='Activo'";
	$liga_men = mysqli_query($con,$drae);
	while($row = mysqli_fetch_assoc($liga_men)){
		
		$cliente = $row['nome_cliente'];
		
		echo "<option>$cliente</option>";
	}
	}else{
	
	$drae = "SELECT * FROM clientes WHERE status='Activo' AND vendedor='$vendedor'";
	$liga_men = mysqli_query($con,$drae);
	while($row = mysqli_fetch_assoc($liga_men)){
		
		$cliente = $row['nome_cliente'];
		
		echo "<option>$cliente</option>";
		
	}
}
	
}




// function clientereforco(){
	
// 	global $con;
// 		$drogaBoa = "SELECT * FROM creditos WHERE status='pendente'";
// 	$liga_menA = mysqli_query($con,$drogaBoa);
// 	while($row = mysqli_fetch_assoc($liga_menA)){
		
// 		$cliente = $row['cliente'];
		
// 		echo "<option>$cliente</option>";
// 	}

// }


















function insert_credito(){
	
	global $con;
	
	if(isset($_POST['submit'])){
		
		$cliente = $_POST['cliente'];
		$valor = $_POST['valor'];
		$conta_origem = $_POST['conta_origem'];
		$tipo = $_POST['tipo'];
		$prestacoes = $_POST['prestacoes'];
		$taxas = $_POST['taxas'];
		$previsao = $_POST['previsao'];
		
		$garantias = $_POST['garantias'];
		$estimado = $_POST['estimado'];
		
		$juros = $valor * $taxas;
		
		$total = $valor + $juros;
		$v_prest = $total / $prestacoes;
		
		$busca_gestor = "SELECT * FROM clientes WHERE nome_cliente='$cliente'";
		$sucesso = mysqli_query($con,$busca_gestor);
		$trato = mysqli_fetch_assoc($sucesso);
		
		$vendedor = $trato['vendedor'];
		
		
		
		$user = $_SESSION['nome'];
	    $data = date('Y-m-d');
	    $hora = date("H:i", mktime(gmdate("H")+2, gmdate("i"), gmdate("s"), gmdate("m"), gmdate("d"), gmdate("Y")));
		
		$buscar_conta2 = "SELECT * FROM contas WHERE conta='$conta_origem'";
		$dados_ligar2 = mysqli_query($con,$buscar_conta2);
		$nice_query2 = mysqli_fetch_assoc($dados_ligar2);
		
		$saldo_actual_conta = $nice_query2['saldo'];
		
		$novo_taco_actual = $saldo_actual_conta - $valor;
		
		
	$ver_se = "SELECT * FROM creditos WHERE cliente='$cliente' AND status = 'pendente'";
	$tem_um = mysqli_query($con,$ver_se);
	$contagem = mysqli_num_rows($tem_um);
	
	if($contagem ==1){
		
		echo "<script>alert('$cliente ainda tem um credito por pagar')</script>";
		echo "<script>window.open('creditos.php','_self')</script>";
	
	}elseif($saldo_actual_conta < $valor){
		
		echo "<script>alert('O valor solicitado e superior ao saldo disponivel. Temos apenas $saldo_actual_conta MT')</script>";
		echo "<script>window.open('creditos.php','_self')</script>";
		
	}elseif($previsao < $data){
		
		echo "<script>alert('A data prevista e inferior a data actual.)</script>";
		echo "<script>window.open('creditos.php','_self')</script>";
		
		
	}else{
		
	
		$insere = "INSERT INTO creditos(cliente,valor,tipo,prestacoes,taxas,v_prest,juros,total,vendedor,previsao,status,data,hora,user,conta,garantias,estimado)
		VALUES('$cliente','$valor','$tipo','$prestacoes','$taxas','$v_prest','$juros','$total','$vendedor','$previsao','pendente','$data','$hora','$user','$conta_origem','$garantias','$estimado')";
		$linkCredito = mysqli_query($con,$insere);
		
		
		
		if($linkCredito){
			
			$insere_trasaco = "INSERT INTO transacoes(descricao,saida,entrada,saldo,caixa,data,hora,user)
			VALUES('Concessao de credito a $cliente','$valor','0','$novo_taco_actual','$conta_origem','$data','$hora','$user')";
			$julda = mysqli_query($con,$insere_trasaco);
			
			
			$actualiza_conta2 = "UPDATE contas SET saldo='$novo_taco_actual' WHERE conta='$conta_origem'";
			$yes_we_do2 = mysqli_query($con,$actualiza_conta2);
			
			echo "<script>alert('Credito concedido a $cliente')</script>";
			echo "<script>window.open('creditos.php','_self')</script>";
			
			
		}else{
			
			echo "<script>alert('Credito FALHOU a $cliente')</script>";
			echo "<script>window.open('creditos.php','_self')</script>";
		}
		
	 }
	}
	
	
	
}


function requisita_credito(){
	
	global $con;
	
	if(isset($_POST['submit'])){
		
		$nome_cliente = $_POST['cliente'];
		$valor = $_POST['valor'];
		$tipo = $_POST['tipo'];
		
		$now = date('Y-m-d');
		
		$verifica = "SELECT * FROM solicitacoes WHERE nome_cliente ='$nome_cliente' AND status='pendente'";
		$liga = mysqli_query($con,$verifica);
		$contar = mysqli_num_rows($liga);
		
		if($contar ==1){
			
			echo "<script>alert('$nome_cliente ainda tem um credito por ser aprovado')</script>";
			echo "<script>window.open('creditos.php','_self')</script>";
		}else{
			
			$insere_solicita = "INSERT INTO solicitacoes(nome_cliente,valor,tipo_credito,data,status)
			VALUES('$nome_cliente','$valor','$tipo','$now','pendente')";
			$jonas_go = mysqli_query($con,$insere_solicita);
			
			if($jonas_go){
				
				echo "<script>alert('Credito lançado. Aguarde pela aprovação do administrador')</script>";
				echo "<script>window.open('creditos.php','_self')</script>";
			}else{
				
				echo "<script>alert('Ocorreu um erro contacte o administrador')</script>";
				echo "<script>window.open('creditos.php','_self')</script>";
			}
		}
		
	}
	
	
}


function cadCompany(){

	global $con;

	if(isset($_POST['cad_empresa'])){

		$nome_empresa = $_POST['nome_empresa'];
		$nuit = $_POST['nuit'];
		$endereco = $_POST['endereco'];
		$email = $_POST['email'];
		$contactos = $_POST['contactos'];
		$logotipo = $_FILES['logo']['name'];
		$logotipo_tmp = $_FILES['logo']['tmp_name'];
		move_uploaded_file($logotipo_tmp,"img/$logotipo");

		$buscar = "SELECT * FROM empresa WHERE nome_empresa='$nome_empresa'";
		$linkar = mysqli_query($con,$buscar);

		$count = mysqli_num_rows($linkar);
		if($count == 1){
			echo "<script>alert('$nome_empresa ja esta cadastrado na base de dados')</script>";
			echo "<script>window.open('empresa.php','_self')</script>";
		}else{

			$insere  = "INSERT INTO empresa(nome_empresa,nuit,endereco,email,contactos,logo)
			VALUES('$nome_empresa','$nuit','$endereco','$email','$contactos','$logotipo')";
			if($jndb = mysqli_query($con,$insere)){
				echo "<script>alert('$nome_empresa cadastrado com sucesso')</script>";
			echo "<script>window.open('empresa.php','_self')</script>";
			}else{

			echo "<script>alert('Ocorreu um erro')</script>";
			echo "<script>window.open('empresa.php','_self')</script>";
			};

			
		}
	}
}
		
		
	function creditosBack(){
	    global $con;
	        
if(isset($_POST['submitBack'])){
    
    $nome_cliente = $_POST['nome_cliente'];
    $valor = $_POST['valor'];
    $nome_credito = $_POST['nome_credito'];
    $garantias = $_POST['garantias'];
    $dataloan = $_POST['data'];
    
    $tipo_pagamento = $_POST['tipo_pagamento'];
    $prestacoes = $_POST['prestacoes'];
    
    $search = mysqli_query($con,"SELECT * FROM tipos_creditos WHERE nome='$nome_credito'");
    $result = mysqli_fetch_assoc($search);
    $taxas = $result['taxas_de_juros'];
    
    $juros = $valor * $taxas;
    $total = $valor + $juros;
    
    	$user = $_SESSION['nome'];
	    $data = date('Y-m-d');
	    $hora = date("H:i", mktime(gmdate("H")+2, gmdate("i"), gmdate("s"), gmdate("m"), gmdate("d"), gmdate("Y")));
    
    if($tipo_pagamento =="Negociado"){
         $query = mysqli_query($con,"INSERT INTO creditos(cliente,valor,tipo,prestacoes,taxas,v_prest,juros,total,vendedor,status,data,hora,user,conta,garantias,estimado,
    finalidade,tipo_pagamento)VALUES('$nome_cliente','$valor','Mensal','$prestacoes','$taxas','$valor','0','$valor','$user','pendente','$dataloan','$hora','$user','Conta Teste',
    '$garantias','0','N/A','$tipo_pagamento')");
    
    echo "<script>alert('Credito Negociado lancado com sucesso')</script>";
    echo "<script>window.open('creditos.php','_self')</script>";
        
    }else{
    $query = mysqli_query($con,"INSERT INTO creditos(cliente,valor,tipo,prestacoes,taxas,v_prest,juros,total,vendedor,status,data,hora,user,conta,garantias,estimado,
    finalidade,tipo_pagamento)VALUES('$nome_cliente','$valor','Mensal','$prestacoes','$taxas','$total','$juros','$total','$user','pendente','$dataloan','$hora','$user','Conta Teste',
    '$garantias','0','N/A','$tipo_pagamento')");
    
    if($query){    
    echo "<script>alert('Credito concedido com sucesso')</script>";
        echo "<script>window.open('creditos.php','_self')</script>";
        
    }else{
  echo "<script>alert('Ocorreu um erro')</script>";
        echo "<script>window.open('creditos.php','_self')</script>";
    }
}      
    
    
}
	}



 ?>